<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Cobro cobro_id
 * @property TipoEstadoCobro estado_id
 *
 */
class EstadoCobro extends NewEstado
{
	protected static $_table = 'estado_cobros';
	
    //
    public function cobro()
    {
    	return $this->belongsTo(Cobro::class, 'cobro_id')->findOne();
    }
    public function estado()
    {
    	return $this->belongsTo(TipoEstadoCobro::class, 'estado_id')->findOne();
    }
}
